View Issue Details

IDProjectCategoryView StatusLast Update
0001928Ham Radio DeluxeBugpublic2017-08-05 18:59
ReporterKB3NPH 
Assigned ToK7ZCZ 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.659 
Summary0001928: HRD Satellite Track Improper Argument Error
DescriptionTicket #952099
Issue :
System "hangs"/ freezes in Module Satellite Tracker when using the option Next Passes.
This occurs when I try to use the TEXT button (as to print future sat tracks in Notepad ) system HANGS and says "Encountered an Improper Argument". Alt DEL Ctr is only option to get out of this freeze...and restart HRD SAT TRACKER

I Found out this only happens IF THE ELEVATION is set 10 degrees or more !

Of course solution is to print all passes at zero degrees but this delivers a bunch of unwanted passes in print.
Any idea ? Thanks beforehand
regards
Albert
PD0OXW
Steps To ReproduceOpen "Next Pass" window.
Select "TEXT" option
The "Improper Argument" error shows up. A bit later, the Notepad opens and displays "ALL" the satellite next passes in text form even if the "SELECTED" option is checked.

See attached image.
 
Support has tested and replicated this issue.
TagsNo tags attached.
ModuleSatellite Tracking
Sub-ModuleData
Testing Beta Successful

Relationships

Activities

K7ZCZ

2017-06-20 23:39

manager   ~0003231

I made this repro in a debug build. A call stack is attached, and this is the assertion that fails:

Debug Assertion Failed!

Program: C:\Ham Radio\Debug\HRDSatTrack.exe
File: f:\dd\vctools\vc7libs\ship\atlmfc\include\afxcoll.inl
Line: 170

For information on how your program can cause an assertion
failure, see the Visual C++ documentation on asserts.

(Press Retry to debug the application)
'HRDSatTrack.exe' (Win32): Loaded 'C:\Program Files (x86)\Notepad++\notepad++.exe'. Module was built without symbols.
'HRDSatTrack.exe' (Win32): Unloaded 'C:\Program Files (x86)\Notepad++\notepad++.exe'
The thread 0x4148 has exited with code 0 (0x0).
Second Chance Assertion Failed: File f:\dd\vctools\vc7libs\ship\atlmfc\include\afxcoll.inl, Line 170
HRDSatTrack.exe has triggered a breakpoint.

Stack.txt (4,882 bytes)
 	msvcr120d.dll!_CrtDbgBreak() Line 87	C
 	msvcr120d.dll!_VCrtDbgReportA(int nRptType, void * returnAddress, const char * szFile, int nLine, const char * szModule, const char * szFormat, char * arglist) Line 290	C
 	msvcr120d.dll!_CrtDbgReportV(int nRptType, void * returnAddress, const char * szFile, int nLine, const char * szModule, const char * szFormat, char * arglist) Line 262	C
 	msvcr120d.dll!_CrtDbgReport(int nRptType, const char * szFile, int nLine, const char * szModule, const char * szFormat, ...) Line 279	C
 	HRDSatTrack.exe!AfxAssertFailedLine(const char * lpszFileName, int nLine) Line 24	C++
 	HRDSatTrack.exe!CUIntArray::ElementAt(int nIndex) Line 170	C++
 	HRDSatTrack.exe!CUIntArray::operator[](int nIndex) Line 186	C++
>	HRDSatTrack.exe!CPassesView::Tickle() Line 1943	C++
 	HRDSatTrack.exe!CPassesView::OnTimer(unsigned int nIDEvent) Line 1891	C++
 	HRDSatTrack.exe!CWnd::OnWndMsg(unsigned int message, unsigned int wParam, long lParam, long * pResult) Line 2456	C++
 	HRDSatTrack.exe!CWnd::WindowProc(unsigned int message, unsigned int wParam, long lParam) Line 2094	C++
 	HRDSatTrack.exe!AfxCallWndProc(CWnd * pWnd, HWND__ * hWnd, unsigned int nMsg, unsigned int wParam, long lParam) Line 282	C++
 	HRDSatTrack.exe!AfxWndProc(HWND__ * hWnd, unsigned int nMsg, unsigned int wParam, long lParam) Line 435	C++
 	[External Code]	
 	HRDSatTrack.exe!AfxAssertFailedLine(const char * lpszFileName, int nLine) Line 24	C++
 	HRDSatTrack.exe!CUIntArray::ElementAt(int nIndex) Line 170	C++
 	HRDSatTrack.exe!CUIntArray::operator[](int nIndex) Line 186	C++
 	HRDSatTrack.exe!CPassesView::Tickle() Line 1943	C++
 	HRDSatTrack.exe!CPassesView::OnTimer(unsigned int nIDEvent) Line 1891	C++
 	HRDSatTrack.exe!CWnd::OnWndMsg(unsigned int message, unsigned int wParam, long lParam, long * pResult) Line 2456	C++
 	HRDSatTrack.exe!CWnd::WindowProc(unsigned int message, unsigned int wParam, long lParam) Line 2094	C++
 	HRDSatTrack.exe!AfxCallWndProc(CWnd * pWnd, HWND__ * hWnd, unsigned int nMsg, unsigned int wParam, long lParam) Line 282	C++
 	HRDSatTrack.exe!AfxWndProc(HWND__ * hWnd, unsigned int nMsg, unsigned int wParam, long lParam) Line 435	C++
 	[External Code]	
 	HRDSatTrack.exe!OwnShellExecuteOpen(const CWnd * pWnd, const wchar_t * lpszFilename) Line 43	C++
 	HRDSatTrack.exe!CPassesView::OnPassesAsText() Line 2324	C++
 	HRDSatTrack.exe!_AfxDispatchCmdMsg(CCmdTarget * pTarget, unsigned int nID, int nCode, void (void) * pfn, void * pExtra, unsigned int nSig, AFX_CMDHANDLERINFO * pHandlerInfo) Line 77	C++
 	HRDSatTrack.exe!CCmdTarget::OnCmdMsg(unsigned int nID, int nCode, void * pExtra, AFX_CMDHANDLERINFO * pHandlerInfo) Line 373	C++
 	HRDSatTrack.exe!CView::OnCmdMsg(unsigned int nID, int nCode, void * pExtra, AFX_CMDHANDLERINFO * pHandlerInfo) Line 164	C++
 	HRDSatTrack.exe!CFrameWnd::OnCmdMsg(unsigned int nID, int nCode, void * pExtra, AFX_CMDHANDLERINFO * pHandlerInfo) Line 980	C++
 	HRDSatTrack.exe!CWnd::OnCommand(unsigned int wParam, long lParam) Line 2784	C++
 	HRDSatTrack.exe!CFrameWnd::OnCommand(unsigned int wParam, long lParam) Line 384	C++
 	HRDSatTrack.exe!CWnd::OnWndMsg(unsigned int message, unsigned int wParam, long lParam, long * pResult) Line 2108	C++
 	HRDSatTrack.exe!CXTPCommandBarsSiteBase<CMDIChildWnd>::OnWndMsg(unsigned int message, unsigned int wParam, long lParam, long * pResult) Line 191	C++
 	HRDSatTrack.exe!CWnd::WindowProc(unsigned int message, unsigned int wParam, long lParam) Line 2094	C++
 	HRDSatTrack.exe!AfxCallWndProc(CWnd * pWnd, HWND__ * hWnd, unsigned int nMsg, unsigned int wParam, long lParam) Line 282	C++
 	HRDSatTrack.exe!AfxWndProc(HWND__ * hWnd, unsigned int nMsg, unsigned int wParam, long lParam) Line 435	C++
 	[External Code]	
 	HRDSatTrack.exe!CWnd::SendMessageW(unsigned int message, unsigned int wParam, long lParam) Line 32	C++
 	[External Code]	
 	HRDSatTrack.exe!CWnd::OnWndMsg(unsigned int message, unsigned int wParam, long lParam, long * pResult) Line 2596	C++
 	[External Code]	
 	HRDSatTrack.exe!CWnd::WindowProc(unsigned int message, unsigned int wParam, long lParam) Line 2094	C++
 	HRDSatTrack.exe!AfxCallWndProc(CWnd * pWnd, HWND__ * hWnd, unsigned int nMsg, unsigned int wParam, long lParam) Line 282	C++
 	HRDSatTrack.exe!AfxWndProc(HWND__ * hWnd, unsigned int nMsg, unsigned int wParam, long lParam) Line 435	C++
 	[External Code]	
 	HRDSatTrack.exe!AfxInternalPumpMessage() Line 181	C++
 	HRDSatTrack.exe!CWinThread::PumpMessage() Line 900	C++
 	HRDSatTrack.exe!CWinThread::Run() Line 629	C++
 	HRDSatTrack.exe!CWinApp::Run() Line 787	C++
 	HRDSatTrack.exe!AfxWinMain(HINSTANCE__ * hInstance, HINSTANCE__ * hPrevInstance, wchar_t * lpCmdLine, int nCmdShow) Line 47	C++
 	HRDSatTrack.exe!wWinMain(HINSTANCE__ * hInstance, HINSTANCE__ * hPrevInstance, wchar_t * lpCmdLine, int nCmdShow) Line 26	C++
 	[External Code]	


Stack.txt (4,882 bytes)

K7ZCZ

2017-06-21 00:20

manager   ~0003232

Checked in a fix. https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3516

Note that it takes a little luck to reproduce this one, as you must've built a list one way, then built a list another way, then hit a timer. But it does repro pretty reliably.

K7ZCZ

2017-06-21 00:21

manager   ~0003233

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3516

WA9PIE

2017-06-21 20:59

administrator   ~0003235

Status changed to enable update to "Fixed in Version"

WA9PIE

2017-07-04 23:30

administrator   ~0003480

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003515

Waiting to close them until a final item is tested.

WA9PIE

2017-07-05 19:39

administrator   ~0003552

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2016-08-15 08:36 KB3NPH New Issue
2017-03-08 00:06 WA9PIE Project 3 - Current Dev List => 2 - Next Dev List (Holding Area)
2017-06-20 21:21 K7ZCZ Assigned To => K7ZCZ
2017-06-20 21:21 K7ZCZ Status new => assigned
2017-06-20 23:39 K7ZCZ File Added: Stack.txt
2017-06-20 23:39 K7ZCZ Note Added: 0003231
2017-06-21 00:18 K7ZCZ Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2017-06-21 00:20 K7ZCZ Note Added: 0003232
2017-06-21 00:21 K7ZCZ Status assigned => resolved
2017-06-21 00:21 K7ZCZ Resolution open => fixed
2017-06-21 00:21 K7ZCZ Note Added: 0003233
2017-06-21 20:59 WA9PIE Status resolved => assigned
2017-06-21 20:59 WA9PIE Note Added: 0003235
2017-06-30 17:32 K7ZCZ Status assigned => resolved
2017-06-30 17:32 K7ZCZ Fixed in Version => 6.4.0.653
2017-06-30 17:32 K7ZCZ Testing => Not Started
2017-07-01 08:21 WA9PIE Target Version => 6.4.0.653
2017-07-01 08:22 WA9PIE Fixed in Version 6.4.0.653 => 6.4.0.657
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003480
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003515
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003552
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful
2017-08-05 18:59 WA9PIE Target Version 6.4.0.653 =>